Package edu.claflin.finder.logic.cygrouper

# Class Communicator

java.lang.Object
edu.claflin.finder.logic.cygrouper.Communicator

All Implemented Interfaces:
  `CommunicationListener`

public class Communicator extends Object implements CommunicationListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static Communicator`
  `communicator`
  `static ArrayList<Map<String,CygrouperNode>>`
  `groups`
  `static ArrayList<Map<String,CygrouperNode>>`
  `partitionNumbers`
  `static ArrayList<Graph>`
  `uniqueSubgraphs`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `Communicator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Communicator`
  `getSingleton()`
  `void`
  `setGroups(ArrayList<Map<String,CygrouperNode>> results)`
  `void`
  `setPartitionNumbers(ArrayList<Map<String,CygrouperNode>> results)`
  `void`
  `setUniqueSubGraphs(ArrayList<Graph> subgraphs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### communicator

    private static Communicator communicator

  - ### groups

    public static ArrayList<Map<String,CygrouperNode>> groups

  - ### partitionNumbers

    public static ArrayList<Map<String,CygrouperNode>> partitionNumbers

  - ### uniqueSubgraphs

    public static ArrayList<Graph> uniqueSubgraphs

- ## Constructor Details

  - ### Communicator

    private Communicator()

- ## Method Details

  - ### getSingleton

    public static Communicator getSingleton()

  - ### setGroups

    public void setGroups(ArrayList<Map<String,CygrouperNode>> results)
    Specified by:
      `setGroups` in interface `CommunicationListener`

  - ### setPartitionNumbers

    public void setPartitionNumbers(ArrayList<Map<String,CygrouperNode>> results)
    Specified by:
      `setPartitionNumbers` in interface `CommunicationListener`

  - ### setUniqueSubGraphs

    public void setUniqueSubGraphs(ArrayList<Graph> subgraphs)
    Specified by:
      `setUniqueSubGraphs` in interface `CommunicationListener`